function  deblurPoisson_Hybrid_TV_l1DTT(x,M,rm,niter,L,alpha,nomImage,gamma,lambda,coef)


%%%%%%%%%%%%%%%%%%%%%% Noisy and blur image %%%%%%%%%%%%%%%%%%
[z,T,h] = bruiteConv(x,L,alpha);



%%%%%%%%%%%%%%%%%%%%%% Convex constraint definition %%%%%%%%%%

minx=min(x(:));
maxx=max(x(:));


%%%%%%%%%%%%%%%%%%% Wavalet parameters estimation %%%%%%%%%%%%
if (coef(1)~=0)   
    [wpx,wmx,H1x,H2x,HH1x,HH2x,Gx,Ghx]=dualtreeM2D_freq(x,M,rm);
    betarand=[4/3 3/2 2];
    [alphap,betap,pp,mup,alpham,betam,pm,mum] = estimPara_ME2_DTT(wpx,wmx,betarand,rm);
end

%%%%%%%%%%%%%%%%%%%%% ALGORITHM %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



if (coef(2)==0) 
     fprintf('\n ONLY L1 REGULARIZATION \n-----------------\n');
     PPXA_Poisson_L1(x,M,rm,niter,z,T,h,L,alpha,nomImage,gamma,lambda,coef,alphap,betap,pp,mean2(x)*2^rm/2,alpham,betam,pm,mean2(x)*2^rm/2,minx,maxx);

elseif (coef(1)==0) 
    fprintf('\n ONLY TV REGULARIZATION \n-----------------\n');
    PPXA_Poisson_TV(x,niter,z,T,h,L,alpha,nomImage,gamma,lambda,coef(2),minx,maxx);
    
else
    fprintf('\n HYBRID REGULARIZATION \n-----------------\n');
    PPXA_Poisson_Hybrid_TV_L1(x,M,rm,niter,z,T,h,L,alpha,nomImage,gamma,lambda,coef,alphap,betap,pp,mean2(x)*2^rm/2,alpham,betam,pm,mean2(x)*2^rm/2,minx,maxx);

end





